For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload a campaign file

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.

Use this endpoint to upload different types of campaign files. You can upload images for banners and banner X in jpeg, jpg, png, gif, PDF, or SVG formats. You may also upload content standard PDF files and content standard display logos. Ensure that logo files are in jpeg, jpg, or png format. New version available: Upload a campaign file - v4 is now available with enhanced features.

File upload guidelines

  • File size limit: The maximum supported file size is 4 MB.

  • Supported banner file types: The API currently accepts the following file formats: PNG, JPEG, and JPG.

  • Supported banner X file types: The API currently accepts the following file formats: PNG, JPEG, JPG, SVG, and GIF.

  • Supported content standard display logo file types: The API currently accepts the following file formats: JPEG, JPG, and PNG.

  • Image dimension: Image dimensions aren't currently validated against the retailer's content standard. Ensure that they meet the defined content standards. This enhancement is planned for upcoming releases.

  • Handling multiple files: If multiple files are submitted in a single request, only the first file will be processed while the remaining files will be ignored.

  • Banner: For the Campaign_File_Type_Banner_Image, providing a slot ID, and content standard ID is mandatory.

  • Banner X: For the Campaign_File_Type_Banner_X_Image, providing imageSlotType is mandatory.

File upload URL

When uploading your creative asset file, ensure you provide a complete absolute path to the file. If you are copying example test code from the documentation to use in your environment, be sure to update the file location before executing the command. For example:

curl --request POST --url 'https://<your-url>.test.com/v3/campaign-file-upload?contentStandardId=test1&imageSlotType=IMAGE_SLOT_TYPE_UNSPECIFIED&campaignFileType=CAMPAIGN_FILE_TYPE_BANNER_IMAGE' --header 'accept: application/json' --header 'Authorization: Bearer <your-token>' --header 'content-type: multipart/form-data' --form "file=@/Users/test/downloads/apple.png"

Upload a campaign file

post

Use this endpoint to upload different types of campaign files. You can upload images for banners and banner X in jpeg, jpg, png, gif, PDF, or SVG formats. You may also upload content standard PDF files and content standard display logos. Ensure that logo files are in jpeg, jpg, or png format.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
contentStandardIdstringOptional

The unique identifier for the content standard, used to validate the image based on its metadata.

slotIdstringOptional

Specifies the unique slot within the content standard where the image will be placed. It ensures the image adheres to predefined slot requirements and validations. Examples include left_ribbon, top_banner, or side_panel.

teamIdstringRequired

The unique identifier of the campaign's team.

managerTeamIdstringOptional

The unique identifier for a retailer-managed campaign's team. As a retailer, you can upload campaign file for the supplier team by specifying the managerTeamId. Ensure that API requests are authenticated with the retailer's bearer token

imageSlotTypestring · enumOptional

Specifies the type of image slot, which determines the role and placement of the image within the campaign.

Possible values:
campaignFileTypestring · enumRequired

Specifies the campaign file type: Supported types include: -

  • CAMPAIGN_FILE_TYPE_BANNER_IMAGE: Image for your banner campaign. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_IMAGE: Image for your banner X campaign. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_DISPLAY_LOGO: Display logo for your banner X content standard file.
  • CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_DISPLAY_LOGO: Display logo for your banner content standard file. -
  • CAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_PDF: Content standard PDF for your banner X campaign.
  • CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_PDF: Content standard PDF for your banner campaign.
Possible values:
Body
filestring · binaryRequired

The campaign file to upload, which can include an image, content standard display logo, or content standard PDF for banners and banner X.

  • Supported image formats are jpeg, jpg, png, gif, PDF, and SVG.
  • Display logos must be in jpeg, jpg, or png format.
Responses
200

File uploaded successfully

application/json
fileIdstringOptional

The unique identifier of the uploaded file.

Example: 1ceee624-7c87-4e98-9995-042da2a32525
fileUrlstringOptional

The URL to access the file uploaded.

Example: https://storage.googleapis.com/banner-images-pending/.../path-to-image
post/campaign-file-upload
POST /v3/campaign-file-upload?teamId=text&campaignFileType=CAMPAIGN_FILE_TYPE_BANNER_IMAGE HTTP/1.1
Host: campaign.citrusad.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
{
  "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
  "fileUrl": "https://storage.googleapis.com/banner-images-pending/.../path-to-image"
}